﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Scheduling Jobs for Elasticsearch-Based Analytics Controls</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Scheduling Jobs for Elasticsearch-based Analytics Controls</h1>
        <p>You can schedule jobs for <strong>Analytics Version 2 (V2)</strong> control configurations in Saviynt Identity Governance and Administration (IGA). Jobs can be scheduled every hour, day, month or week. Based on the job schedule you have configured, IGA runs the job and updates the analytics configuration details.&#160;</p>
        <div class="info" MadCap:conditions="Default.v2021X" MadCap:autonum="&lt;b&gt;Info&lt;/b&gt;">
            <p class="note">This feature is available from the release v2021.0 onwards.</p>
        </div>
        <p MadCap:conditions="Default.v2021X">You can limit the number of scheduled analytics reports that can run at a time from a setting located in <strong>Admin &gt; Global Configurations &gt; Analytics &gt; Analytic Schedule Settings &gt;&#160;Number of schedules allowed in a 5 minute window</strong>&#160;and specify a time in the <strong> Number of schedules allowed in a 5 minute window</strong> field. The following screenshot illustrates the same.&#160;</p>
        <p MadCap:conditions="Default.v2021X">
            <img src="../Resources/Images/analytic schedule settings.png" style="width: 811px;height: 136px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p MadCap:conditions="Default.v2021X">Once the user sets a schedule in the Global Configurations, navigate to the Analytics Configurations List page and click Schedule to schedule a trigger against a control. In the Schedule the Job window, select a schedule and click Submit to trigger the job.</p>
        <p MadCap:conditions="Default.v2021X">
            <img src="../Resources/Images/schedule the job - v1.png" style="width: 601px;height: 376px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p MadCap:conditions="Default.v2021X">While submitting the trigger, if the&#160;number of schedule exceeds the threshold that the user is trying to schedule the next run of the report on a particular time frequency, the following message is displayed prompting the user to schedule the report in a different time.&#160;</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">Analytics V2&#160;controls are also referred to as&#160;ElasticSearch-based analytics controls in this document</p>
        </div>
        <p>To schedule a job for Analytics V2 control, perform the following steps:</p>
        <ol>
            <li>Go to <strong>Analytics &gt; Analytics Configuration List</strong>.</li>
            <li>Select <strong>Version 2</strong>. The&#160;<strong>Analytics Configuration List </strong>page is displayed.</li>
        </ol>
        <p style="margin-left: 30.0px;">If you have configured both Analytics V1 and V2 controls, then you can view two tabs— <strong>Version 1</strong> and <strong>Version 2</strong>—in&#160;the&#160;<strong>Analytics Configuration List </strong>page. You can choose the <strong>Version 2</strong> tab to&#160;schedule the job for Elasticsearch-based analytics controls.&#160;</p>
        <p style="margin-left: 30.0px;">If you have configured only Elasticsearch-based analytics controls, then only one list view is present in the&#160;<strong>Analytics Configuration List </strong>page from where you can&#160;schedule the job.</p>
        <p style="margin-left: 30.0px;">
            <img src="../Resources/Images/Analytics Configuration List page with Single List View of Analytics V2 Controls.png" style="width: 700px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p style="margin-left: 30.0px;">Figure:&#160;Analytics Configuration List page with Single List View of Analytics V2 Controls</p>
        <ol MadCap:continue="true">
            <li>
                <p style="margin-left: 30.0px;">For any configured analytics, click&#160;<strong>Schedule</strong>&#160;against each Analytics name.</p>
            </li>
        </ol>
        <p style="margin-left: 30.0px;">The&#160;<strong>Schedule the Job</strong> pop-up window is displayed.</p>
        <p style="margin-left: 30.0px;">
            <img src="../Resources/Images/Schedule the Job pop-up.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p style="margin-left: 30.0px;">Figure: Schedule the Job pop-up</p>
        <ol MadCap:continue="true">
            <li>
                <p style="margin-left: 30.0px;">Choose the frequency in which you want to schedule the job.</p>
            </li>
        </ol>
        <p style="margin-left: 30.0px;">The following options are available:</p>
        <ul>
            <li>Hourly - Option to schedule the job every nth hour or on a scheduled time.</li>
        </ul>
        <p style="margin-left: 30.0px;">
            <img src="../Resources/Images/Scheduling Hourly Jobs.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p style="margin-left: 30.0px;">Figure: Scheduling Hourly Jobs</p>
        <p style="margin-left: 90.0px;">Example:&#160;</p>
        <p style="margin-left: 90.0px;">1.&#160;Suppose you are setting an hourly schedule of the analytics job setting the time at 12:15 (HH:MM format).</p>
        <p style="margin-left: 90.0px;">2. Select the <strong>Submit</strong> button. A message is displayed that the analytic control is scheduled at the scheduled time.</p>
        <ul>
            <li>Daily - Option to schedule the job every nth day on a scheduled time, where n is an integer.</li>
        </ul>
        <ul>
            <li>
                <p>Weekly - Option to schedule the job on the required days of the week at a scheduled time. You can select multiple days of the week</p>
            </li>
        </ul>
        <ul>
            <li>Monthly - Option to schedule a job either by selecting specific months or selecting all months.</li>
            <li>Cron Expression - Option to schedule the job&#160;using a CRON expression.<br /><br /></li>
        </ul>
        <p style="margin-left: 30.0px;">For example, the cron expression&#160; 0 0/10 * ? * * * represents the schedule of the job at second: 00, every 10 minutes starting at the minute :00, of every hour.</p>
        <ol MadCap:continue="true">
            <li>
                <p style="margin-left: 30.0px;">Set the schedule frequency of the job and click&#160;<strong>Submit.<br /></strong>The scheduled runtime of the job is displayed in the&#160;Next Schedule column.&#160;If nothing is displayed in this column, it means that there is no job scheduled for the analytics configuration.</p>
            </li>
        </ol>
        <ol MadCap:continue="true">
            <li>
                <p style="margin-left: 30.0px;">Once a job is scheduled, the <strong>Remove</strong> button is displayed in the&#160;<strong>Next Schedule </strong>column.&#160;</p>
            </li>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">You can click the&#160;<strong>Remove </strong>option, in case you want to&#160;remove a job schedule for the Elastic search based Analytics control.</p>
        </div>
        <p style="margin-left: 30.0px;">
            <img src="../Resources/Images/image2021-6-6_23-32-8.png" style="width: 700px;height: 300px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p style="margin-left: 30.0px;">Figure: Remove button displayed in the Next Schedule Column after a Job is Scheduled.</p>
    </body>
</html>